#
# Conditional build:
%bcond_without	apidocs		# Doxygen based API documentation

Summary:	Handler library for evdev events
Summary(pl.UTF-8):	Biblioteka obsługująca zdarzenia evdev
Name:		libevdev
Version:	1.13.1
Release:	1
License:	MIT
Group:		Libraries
Source0:	https://www.freedesktop.org/software/libevdev/%{name}-%{version}.tar.xz
# Source0-md5:	58fe71aa6fd5e80d0928e9b691761311
URL:		https://www.freedesktop.org/wiki/Software/libevdev/
BuildRequires:	check-devel >= 0.9.9
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.4
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Handler library for evdev events.

%description -l pl.UTF-8
Biblioteka obsługująca zdarzenia evdev.

%package devel
Summary:	Header files for libevdev library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libevdev
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libevdev library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libevdev.

%package static
Summary:	Static libevdev library
Summary(pl.UTF-8):	Statyczna biblioteka libevdev
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libevdev library.

%description static -l pl.UTF-8
Statyczna biblioteka libevdev.

%package apidocs
Summary:	libevdev API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libevdev
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for libevdev library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libevdev.

%prep
%setup -q

%{__rm} -r doc/html

%build
%configure \
	PYTHON=%{__python3} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config, no external dependencies
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libevdev.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING
%attr(755,root,root) %{_bindir}/libevdev-tweak-device
%attr(755,root,root) %{_bindir}/mouse-dpi-tool
%attr(755,root,root) %{_bindir}/touchpad-edge-detector
%attr(755,root,root) %{_libdir}/libevdev.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevdev.so.2
%{_mandir}/man1/libevdev-tweak-device.1*
%{_mandir}/man1/mouse-dpi-tool.1*
%{_mandir}/man1/touchpad-edge-detector.1*


%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libevdev.so
%{_includedir}/libevdev-1.0
%{_pkgconfigdir}/libevdev.pc
%{_mandir}/man3/libevdev.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libevdev.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html/{*.css,*.html,*.js,*.png,search}
%endif
%changelog
* Sat May 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libevdev.git;a=log;h=master

* Fri May 05 2023 Jan Palus <atler@pld-linux.org> 75a2954
- up to 1.13.1

* Tue Aug 02 2022 Jan Palus <atler@pld-linux.org> 888f1d0
- up to 1.13.0

* Fri Mar 25 2022 Jan Palus <atler@pld-linux.org> 68a5e5f
- up to 1.12.1

* Wed Nov 10 2021 Jan Palus <atler@pld-linux.org> 2b4c46f
- up to 1.12.0

* Sun Mar 14 2021 Jakub Bogusz <qboosh@pld-linux.org> d838839
- switched build to python3
- rpm version for noarch subpackage

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 7983c44
- unconditional noarch subpackages

* Mon Feb 01 2021 Jan Palus <atler@pld-linux.org> 8b0b4ce
- up to 1.11.0

* Wed Jan 13 2021 Jakub Bogusz <qboosh@pld-linux.org> b642e8c
- updated noarch rule

* Wed Jan 13 2021 Jan Palus <atler@pld-linux.org> 32ca683
- up to 1.10.1

* Tue Oct 27 2020 Jan Palus <atler@pld-linux.org> 4c25303
- up to 1.10.0

* Mon Jul 20 2020 Jakub Bogusz <qboosh@pld-linux.org> d7c762e
- updated to 1.9.1

* Fri May 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 9655026
- updated to 1.9.0

* Wed Oct 09 2019 Jakub Bogusz <qboosh@pld-linux.org> ca55b9b
- updated to 1.8.0

* Wed Jul 31 2019 Jakub Bogusz <qboosh@pld-linux.org> ec6e696
- updated to 1.7.0

* Sun Nov 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 3316583
- updated to 1.6.0

* Sat Mar 31 2018 Jakub Bogusz <qboosh@pld-linux.org> ba6245b
- updated to 1.5.9

* Wed Feb 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 9f1b72f
- updated to 1.5.8

* Tue May 09 2017 Jakub Bogusz <qboosh@pld-linux.org> dbe55d1
- updated to 1.5.7

* Thu Feb 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 8bdf975
- updated to 1.5.6

* Wed Dec 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 6361a94
- updated to 1.5.5

